inconsistent timestamping of polled data

Bug #1491509 reported by gordon chung on 2015-09-02
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ceilometer
Fix Released
Low
Wenzhi Yu

Bug Description

many of the pollsters define the timestamp individually for each sample that is generated. which should really be timestamping based on when the data was polled and not when each sample is generated. this should save overhead of calculating timestamp each sample and also allow for easier grouping of polled data.

gordon chung (chungg) on 2015-09-21
Changed in ceilometer:
importance: Medium → Low
Wenzhi Yu (yuywz) on 2015-10-08
Changed in ceilometer:
assignee: nobody → Wen Zhi Yu (yuywz)
gordon chung (chungg) wrote :

hi, i should mention this is up for debate. you may want to start a ML item or meeting topic to discuss this first

Fix proposed to branch: master
Review: https://review.openstack.org/232976

Changed in ceilometer:
status: Triaged → In Progress
Wenzhi Yu (yuywz) wrote :

Hi gordon, sorry I didn't see your latest comment before uploaded the change set... but I think I can get some valuable comments from the reviewer, I will start a ML item later.

Reviewed: https://review.openstack.org/283969
Committed: https://git.openstack.org/cgit/openstack/telemetry-specs/commit/?id=2bc3d225ec27f57c8356d8c6d04d7d15dee0c6bd
Submitter: Jenkins
Branch: master

commit 2bc3d225ec27f57c8356d8c6d04d7d15dee0c6bd
Author: Wen Zhi Yu <wenzhi_yu@163.com>
Date: Wed Feb 24 15:29:29 2016 +0800

    Unify the timestamp of samples generated by polling agents

    Many of the pollsters define the timestamp individually for each generated
    sample, which should really be timestamping based on when the data was polled
    and not when each sample is generated. We need to set the timestamp of the
    polled data to the timestamp when the polling starts for unity.

    Related-Bug: #1491509
    Blueprint unify-timestamp-of-polled-data

    Change-Id: If22980c9fdf81e1c76dcd4a9053daf88d7f89d18

Reviewed: https://review.openstack.org/232976
Committed: https://git.openstack.org/cgit/openstack/ceilometer/commit/?id=615b1209f0711a518efbbe2bb4c2d579d4112a4e
Submitter: Jenkins
Branch: master

commit 615b1209f0711a518efbbe2bb4c2d579d4112a4e
Author: Wenzhi Yu <wenzhi_yu@163.com>
Date: Wed May 4 09:14:32 2016 +0800

    Set the time point polling starts as timestamp of samples

    Many of the pollsters define the timestamp individually for each
    generated sample, which should really be timestamping based on when
    the data was polled and not when each sample is generated. We need to
    set the timestamp of the polled data to the timestamp when the polling
    starts for unity.

    This commit set the time point when the polling starts as the timestamp
    of samples, and make 'timestamp' argument of Sample.__init__ method
    optional.

    The timestamping in polling agents will be dropped in following patches.

    Change-Id: I3be3f7fb8300e8853ebd35986cdf159422aa247a
    Partial-Bug: #1491509
    Partially-Implements: blueprint unify-timestamp-of-polled-data

Reviewed: https://review.openstack.org/310983
Committed: https://git.openstack.org/cgit/openstack/ceilometer/commit/?id=8dd821a03dcff45258251bebfd2beb86c07d94f7
Submitter: Jenkins
Branch: master

commit 8dd821a03dcff45258251bebfd2beb86c07d94f7
Author: Wenzhi Yu <wenzhi_yu@163.com>
Date: Fri Apr 29 11:14:39 2016 +0800

    Drop timestamping in pollsters

    Many of the pollsters define the timestamp individually for each
    generated sample, which should really be timestamping based on when
    the data was polled and not when each sample is generated. We need to
    set the timestamp of the polled data to the timestamp when the polling
    starts for unity.

    Previous commit be3f7fb8300e8853ebd35986cdf159422aa247a already unified
    the timestamp in samples, and now drop the timestamping in pollsters.

    Change-Id: I9c3047e70fcd6c02278dee91603e2aeb2ca8b8c8
    Closes-Bug: #1491509
    Implements: blueprint unify-timestamp-of-polled-data

Changed in ceilometer:
status: In Progress → Fix Released

This issue was fixed in the openstack/ceilometer 7.0.0.0b2 development milestone.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers